
TYPO3.Flow - Bug # 30914

Status: Resolved Priority: Should have
Author: Andreas Förthner Category: AOP
Created: 2011-10-14 Assigned To: Christian Müller
Updated: 2012-05-30 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: Proxy methods for methods with "by reference" return type are broken
Description

The proxy class builder ignores the by-reference & in the proxy method, and therefore you get an PHP fatal error.

Related issues:
related to TYPO3.Flow - Bug # 13333: AOP for methods with references do not w... Resolved 2011-02-24

Associated revisions
Revision fa086785 - 2012-04-02 14:41 - Christian Müller

[BUGFIX] Proxy methods with referenced arguments should work

Arguments given by reference would result in an exception if
the method was proxied due to AOP.

Change-Id: I647006669608a98a4fb9bc289d89c3c801502df1
Fixes: #30914
Fixes: #13333
Releases: 1.0,1.1

Revision fed005bf - 2012-04-11 16:18 - Christian Müller

[BUGFIX] Proxy methods with referenced arguments should work

Arguments given by reference would result in an exception if
the method was proxied due to AOP.

Change-Id: I647006669608a98a4fb9bc289d89c3c801502df1
Fixes: #30914
Fixes: #13333
Releases: 1.0,1.1

History
#1 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#2 - 2012-03-14 17:32 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9651

#3 - 2012-03-14 17:33 - Christian Müller
- Assigned To set to Christian Müller
- Has patch set to No

#4 - 2012-03-20 11:10 - Christian Müller
- Target version changed from 1.1 to 1.0.4

#5 - 2012-04-02 14:41 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9651

#6 - 2012-04-03 02:37 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:fa0867857380f9d843a2d749d3dd4195f5a6535e.

#7 - 2012-04-11 16:19 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/10248

#8 - 2012-04-18 22:49 - Karsten Dambekalns
- Target version changed from 1.0.4 to 1.0.5

#9 - 2012-05-30 22:00 - Karsten Dambekalns
- Status changed from Under Review to Resolved
